pack_ungetc(3)

NAME
pack_ungetc - Moves one single character back to the input buffer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_ungetc(int c, PACKFILE *f);

DESCRIPTION
Puts a character back to the file's input buffer. Like with ungetc from libc, only a single push back is guaranteed. Note: pack_fgets internally uses pack_ungetc, so never use pack_ungetc directly after using pack_fgets on a PACKFILE.

RETURN VALUE
Returns c on success, or EOF on error.

SEE ALSO
pack_getc(3), pack_fgets(3)